> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Process

> Process

### Path parameters

<ParamField path="id" type="string" required>
  Vendor return ID
</ParamField>

### Request body

`ProcessVendorReturnRequest`

<ParamField body="generate_credit" type="boolean">
  Whether to generate a vendor credit on processing.
</ParamField>

### Responses

<ResponseField name="200" type="VendorReturnResponse" />

<ResponseField name="409" type="ErrorBody" />

<RequestExample>
  ```bash cURL theme={null}
  curl --request POST \
    --url 'https://api.stateset.com/api/v1/vendor-returns/{id}/process' \
    --header 'Authorization: Bearer YOUR_API_KEY' \
    --header 'Content-Type: application/json' \
    --data '{
    "generate_credit": true
  }'
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "created_at": "string",
    "credit_generated": true,
    "id": "string",
    "number": "string",
    "status": "string",
    "supplier_id": "string",
    "total_credit": "string"
  }
  ```
</ResponseExample>
